Skip to main content
GET
/
polymarket
/
events
Get events
curl --request GET \
  --url https://api.struct.to/v1/polymarket/events
[
  {
    "id": "",
    "event_slug": null,
    "title": null,
    "ticker": null,
    "description": null,
    "resolution_source": null,
    "category": null,
    "image_url": null,
    "market_count": 0,
    "created_time": null,
    "closed_time": null,
    "start_time": null,
    "end_time": null,
    "neg_risk": false,
    "neg_risk_market_id": null,
    "game_status": null,
    "show_market_images": false,
    "status": null,
    "metrics": {},
    "tags": [],
    "markets": [],
    "series": {
      "id": "",
      "slug": null,
      "ticker": null,
      "title": null,
      "description": null,
      "series_type": null,
      "recurrence": null,
      "layout": null,
      "image_url": null,
      "icon_url": null,
      "active": false,
      "closed": false,
      "archived": false,
      "featured": false,
      "restricted": false,
      "pyth_token_id": null,
      "cg_asset_name": null,
      "start_date": null,
      "event_count": 0
    }
  }
]

Query Parameters

id
string

Filter by event ID(s) - comma-separated (max 50). Cannot be used with 'event_slugs'. Example: id=99600,99601,99583

event_slugs
string

Filter by event slug(s) - comma-separated (max 50). Cannot be used with 'id'. Example: event_slugs=will-trump-win,bitcoin-100k

Search in title and description (3-100 characters). Example: search=trump

sort_by
enum<string>

Sort: volume, txns, unique_traders, title, creation_date, start_date, end_date, relevance (relevance only works in search mode) (default: volume)

Available options:
volume,
txns,
unique_traders,
title,
creation_date,
start_date,
end_date,
relevance
sort_dir
enum<string>

Sort direction: asc, desc (default: desc)

Available options:
asc,
desc
timeframe
enum<string>

Metrics timeframe: 1m, 5m, 30m, 1h, 6h, 24h, 7d, 30d (default: 24h)

Available options:
1m,
5m,
30m,
1h,
6h,
24h,
7d,
30d
status
enum<string>

Filter by status: open, closed, or all (default: all)

Available options:
open,
closed,
all
categories
string

Comma-separated category filters

exclude_categories
string

Comma-separated categories to exclude

tags
string

Filter by tag slug(s) - comma-separated (max 50). Example: tags=sports,football,crypto

exclude_tags
string

Comma-separated tag slugs to exclude

min_volume
number<double>

Minimum volume in selected timeframe

max_volume
number<double>

Maximum volume in selected timeframe

min_txns
integer<int32>

Minimum transactions in selected timeframe

max_txns
integer<int32>

Maximum transactions in selected timeframe

min_unique_traders
integer<int32>

Minimum unique traders in selected timeframe

max_unique_traders
integer<int32>

Maximum unique traders in selected timeframe

include_tags
boolean

Include tags array (default: true)

include_markets
boolean

Include markets array with outcomes (default: true)

include_metrics
boolean

Include metrics object with all timeframes (default: true)

limit
integer<int32>

Results limit (default: 10, max: 100)

pagination_key
string

Cursor-based pagination key

ai
boolean

Return truncated response optimized for AI consumers (default: false)

Response

List of Polymarket events with nested tags, markets, and series. Response includes pagination: { has_more, pagination_key } for cursor-based pagination.

id
string
default:""
event_slug
string | null
title
string | null
ticker
string | null
description
string | null
resolution_source
string | null
category
string | null
image_url
string | null
market_count
integer<int32>
default:0
created_time
integer<int64> | null
closed_time
integer<int64> | null
start_time
integer<int64> | null
end_time
integer<int64> | null
neg_risk
boolean
default:false
neg_risk_market_id
string | null
game_status
string | null
show_market_images
boolean
default:false
status
string | null

Event status: "open" or "closed"

metrics
object
tags
object[]
markets
object[]
series
object

A Polymarket series from the Gamma API Series are parent groupings above events (e.g., "NBA Season 2024-25")

Last modified on April 5, 2026